Name:           ocaml-zed
Version:        1.2
Release:        %mkrel 13
Summary:        Abstract engine for text edition in OCaml (development tools)
License:        BSD License (3-clauses)
Group:          Development/OCaml
URL:            http://forge.ocamlcore.org/projects/zed/
Source0:        http://forge.ocamlcore.org/frs/download.php/944/zed-%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-react-devel
BuildRequires:  ocaml-camomile-devel
Requires:       ocaml-react
Requires:       ocaml-camomile

%description
Zed is an abstract engine for text edition. It can be used to write
text editors, edition widgets, readlines, ...

Zed uses Camomile to fully support the Unicode specification, and
implements an UTF-8 encoded string type with validation, and a rope
datastructure to achieve efficient operations on large Unicode buffers.
Zed also features a regular expression search on ropes.

To support efficient text edition capabilities, Zed provides macro
recording and cursor management facilities.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-react-devel
Requires:       ocaml-camomile-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n zed-%{version}

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot}

make all
make doc
mv zed-api.docdir doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/zed
mkdir -p %{buildroot}%{_datadir}/doc/zed
make install
rm -rf %{buildroot}%{_datadir}/doc/zed

%check
#make test

%files
%doc CHANGES CHANGES.darcs LICENSE
%dir %{_libdir}/ocaml/zed
%{_libdir}/ocaml/zed/META
%{_libdir}/ocaml/zed/*.cma
%{_libdir}/ocaml/zed/*.cmi
%{_libdir}/ocaml/zed/*.cmxs

%files devel
%doc doc/
%{_libdir}/ocaml/zed/*.a
%{_libdir}/ocaml/zed/*.cmxa
%{_libdir}/ocaml/zed/*.cmx
%{_libdir}/ocaml/zed/*.mli


%changelog
* Wed Feb 17 2016 daviddavid <daviddavid> 1.2-13.mga6
+ Revision: 963190
- rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 1.2-12.mga5
+ Revision: 745508
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 malo <malo> 1.2-11.mga5
+ Revision: 724305
- rebuild for new ocaml-react

* Tue Sep 16 2014 umeabot <umeabot> 1.2-10.mga5
+ Revision: 683136
- Mageia 5 Mass Rebuild

* Sun Sep 14 2014 malo <malo> 1.2-9.mga5
+ Revision: 675201
- rebuild for new ocaml-camomile

* Sat Oct 19 2013 umeabot <umeabot> 1.2-8.mga4
+ Revision: 534729
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 malo <malo> 1.2-7.mga4
+ Revision: 478656
- rebuild for new ocaml

* Sat Apr 06 2013 malo <malo> 1.2-6.mga3
+ Revision: 408628
- fix requires

* Sun Jan 13 2013 umeabot <umeabot> 1.2-5.mga3
+ Revision: 361735
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 1.2-4.mga3
+ Revision: 308594
- rebuild for ocaml-4.0.1

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.2-3.mga3
+ Revision: 302111
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.2-2.mga3
+ Revision: 300352
- new rpm group for ocaml

* Wed Aug 01 2012 blue_prawn <blue_prawn> 1.2-1.mga3
+ Revision: 277270
- imported package ocaml-zed

